# PRemoteConnection::Configuration Struct Reference

Structure for a RAS configuration. More...

`#include <remconn.h>`

List of all members.

## Public Attributes

PString | device
| Device name for connection eg /dev/modem.
PString | phoneNumber
| Telephone number to call to make the connection.
PString | ipAddress
| IP address of local machine after connection is made.
PString | dnsAddress
| DNS host on remote site.
PString | script
| Script name for doing remote log in.
PINDEX | subEntries
| Sub-entry number when Multi-link PPP is used.
PBoolean | dialAllSubEntries
| Always establish maximum bandwidth when Multi-link PPP is used.

## Detailed Description

Structure for a RAS configuration.

## Member Data Documentation

PString PRemoteConnection::Configuration::device

Device name for connection eg /dev/modem.

PBoolean PRemoteConnection::Configuration::dialAllSubEntries

Always establish maximum bandwidth when Multi-link PPP is used.

PString PRemoteConnection::Configuration::dnsAddress

DNS host on remote site.

PString PRemoteConnection::Configuration::ipAddress

IP address of local machine after connection is made.

PString PRemoteConnection::Configuration::phoneNumber

Telephone number to call to make the connection.

PString PRemoteConnection::Configuration::script

Script name for doing remote log in.

PINDEX PRemoteConnection::Configuration::subEntries

Sub-entry number when Multi-link PPP is used.

The documentation for this struct was generated from the following file:

- remconn.h